User avatar
MinecraftTom16
Posts: 49
Joined: Wed Nov 08, 2017 4:29 am
Location: Bandung,Indonesia
Contact: Skype

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Sat Feb 17, 2018 9:39 am

thank you I'll try. if it fails, like you said, I'll plug the SD card into my laptop. :)

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 5:42 pm

I have done all of the steps, it works fine on raspbian, but I use Lubuntu and when at "edit optifine1_12_1.sh" I do the steps that's fine ( I know that what I writhe is good because I did the same on raspbian). After that I launch the ./runOptifine1_12_1.sh and that's where it gets weird, it starts telling me that "./runOptifine1_12_1.sh: line 53: /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre/bin/java: No such file or directory" so I try to relocate the folder, no luck, so I deleted it (the line) and then it say's "./runOptifine1_12_1.sh: line 52: -Xmn128M: command not found"
etc etc.... please help me

User avatar
rpiMike
Posts: 458
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 5:53 pm

I think you need to install Oracle Java 8

http://tipsonubuntu.com/2016/07/31/inst ... x-mint-18/

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 6:35 pm

my launcher say's "Error: Could not find or load main class net.minecraft.launchwrapper.Launch"

what should I do ? :|

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 6:43 pm

rpiMike wrote:
Mon Mar 05, 2018 5:53 pm
I think you need to install Oracle Java 8

http://tipsonubuntu.com/2016/07/31/inst ... x-mint-18/
I have openJDK v 1.8.0_151

User avatar
rpiMike
Posts: 458
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 6:52 pm

You'll need to update the java path in the runOptifine ... .sh to where your java is (for Oracle java 8 : /usr/lib/jvm/java-8-oracle/jre/bin/java) and update the 'CP=' path list (as in last paragraph of page 1)

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 7:08 pm

rpiMike wrote:
Mon Mar 05, 2018 6:52 pm
You'll need to update the java path in the runOptifine ... .sh to where your java is (for Oracle java 8 : /usr/lib/jvm/java-8-oracle/jre/bin/java) and update the 'CP=' path list (as in last paragraph of page 1)
I have found like it say's the "/jre/bin/java" and the -cp line, but you don't say if I should start from "-cp" until "net.minecraft.launchwrapper.Launcher" or from "/jre/bin/java

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 7:21 pm

Sam_board wrote:
Mon Mar 05, 2018 7:08 pm
rpiMike wrote:
Mon Mar 05, 2018 6:52 pm
You'll need to update the java path in the runOptifine ... .sh to where your java is (for Oracle java 8 : /usr/lib/jvm/java-8-oracle/jre/bin/java) and update the 'CP=' path list (as in last paragraph of page 1)
I have found like it say's the "/jre/bin/java" and the -cp line, but you don't say if I should start from "-cp" until "net.minecraft.launchwrapper.Launcher" or from "/jre/bin/java
so I put from "/jre/bin/java" to "net.minecraft.launchwrapper.Launcher" and it gives me this:
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Sam_board
Posts: 7
Joined: Sat Mar 03, 2018 10:12 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Mar 05, 2018 7:27 pm

Sam_board wrote:
Mon Mar 05, 2018 7:21 pm
Sam_board wrote:
Mon Mar 05, 2018 7:08 pm
rpiMike wrote:
Mon Mar 05, 2018 6:52 pm
You'll need to update the java path in the runOptifine ... .sh to where your java is (for Oracle java 8 : /usr/lib/jvm/java-8-oracle/jre/bin/java) and update the 'CP=' path list (as in last paragraph of page 1)
I have found like it say's the "/jre/bin/java" and the -cp line, but you don't say if I should start from "-cp" until "net.minecraft.launchwrapper.Launcher" or from "/jre/bin/java
so I put from "/jre/bin/java" to "net.minecraft.launchwrapper.Launcher" and it gives me this:
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
Dude ! somehow you inspired me !!! found the bug !!!
you should add to your installation explanation at the end a tip for ubuntu/lubuntu users....

User avatar
mikesome13
Posts: 17
Joined: Sun Jul 23, 2017 6:26 pm
Contact: Twitter YouTube

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Mar 07, 2018 12:29 am

Sam_board wrote:
Mon Mar 05, 2018 6:35 pm
my launcher say's "Error: Could not find or load main class net.minecraft.launchwrapper.Launch"

what should I do ? :|
I believe you had net.minecraft.launchwrapper.Launch in the cp path. Do not include that in there. You shoud copy like this: cp=[copy this] net.minecraft.launchwrapper.Launch. For me, this looks like

Code: Select all

/home/pi/.minecraft/libraries/optifine/OptiFine/1.12.2_HD_U_C8/OptiFine-1.12.2_HD_U_C8.jar:/home/pi/.minecraft/libraries/net/minecraft/launchwrapper/1.12/launchwrapper-1.12.jar:/home/pi/.minecraft/libraries/com/mojang/patchy/1.1/patchy-1.1.jar:/home/pi/.minecraft/libraries/oshi-project/oshi-core/1.1/oshi-core-1.1.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar:/home/pi/.minecraft/libraries/com/ibm/icu/icu4j-core-mojang/51.2/icu4j-core-mojang-51.2.jar:/home/pi/.minecraft/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar:/home/pi/.minecraft/libraries/com/paulscode/codecjorbis/20101023/codecjorbis-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/codecwav/20101023/codecwav-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/libraryjavasound/20101123/libraryjavasound-20101123.jar:/home/pi/.minecraft/libraries/com/paulscode/librarylwjglopenal/20100824/librarylwjglopenal-20100824.jar:/home/pi/.minecraft/libraries/com/paulscode/soundsystem/20120107/soundsystem-20120107.jar:/home/pi/.minecraft/libraries/io/netty/netty-all/4.1.9.Final/netty-all-4.1.9.Final.jar:/home/pi/.minecraft/libraries/com/google/guava/guava/21.0/guava-21.0.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar:/home/pi/.minecraft/libraries/commons-io/commons-io/2.5/commons-io-2.5.jar:/home/pi/.minecraft/libraries/commons-codec/commons-codec/1.10/commons-codec-1.10.jar:/home/pi/.minecraft/libraries/net/java/jinput/jinput/2.0.5/jinput-2.0.5.jar:/home/pi/.minecraft/libraries/net/java/jutils/jutils/1.0.0/jutils-1.0.0.jar:/home/pi/.minecraft/libraries/com/google/code/gson/gson/2.8.0/gson-2.8.0.jar:/home/pi/.minecraft/libraries/com/mojang/authlib/1.5.25/authlib-1.5.25.jar:/home/pi/.minecraft/libraries/com/mojang/realms/1.10.17/realms-1.10.17.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-compress/1.8.1/commons-compress-1.8.1.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.jar:/home/pi/.minecraft/libraries/commons-logging/commons-logging/1.1.3/commons-logging-1.1.3.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpcore/4.3.2/httpcore-4.3.2.jar:/home/pi/.minecraft/libraries/it/unimi/dsi/fastutil/7.1.0/fastutil-7.1.0.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-api/2.8.1/log4j-api-2.8.1.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-core/2.8.1/log4j-core-2.8.1.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl/2.9.4-nightly-20150209/lwjgl-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl_util/2.9.4-nightly-20150209/lwjgl_util-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/com/mojang/text2speech/1.10.3/text2speech-1.10.3.jar:/home/pi/.minecraft/versions/1.12.2-OptiFine_HD_U_C8/1.12.2-OptiFine_HD_U_C8.jar
But I have new optifine versions and such, so your path may look different.
YES!

Muchieman
Posts: 1
Joined: Thu Mar 08, 2018 11:36 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Thu Mar 08, 2018 11:39 pm

I'm getting an error. When it says [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}

directly after it says [main/ERROR]: Unable to launch

Does anyone know how to fix this? I am trying to do it with 1.12.2, and I changed everything to 1.12.2 in the runOptifine file.

User avatar
rpiMike
Posts: 458
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Fri Mar 09, 2018 6:38 pm

I've updated a script for Minecraft 1.12.2 and OptiFine 1.12.2 HD U C9 :

Code: Select all

cd ~/Minecraft/ && wget https://www.dropbox.com/s/trsel8nhan34b8q/runOptifine1_12_2.sh && sudo chmod +x runOptifine1_12_2.sh

rralian
Posts: 1
Joined: Sun Mar 11, 2018 5:10 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Sun Mar 11, 2018 6:12 pm

Hello everyone, thanks for the awesome tutorial and tips! I've got minecraft running very well thanks to all your help! But I'm doing this for my kids, and the two things they most care about are running mods and joining public servers. And unfortunately I can't get either of those working. So I have a couple of questions.

- Regarding optifine, what's the difference between the UC[number] versions? Should I use the highest number?
- Has anyone been able to join a public server? I get the error `Internal Exception: Java.lang.NullPointerException`. I tried updating java and reinstalling Minecraft afterwards (now on Oracle's `1.8.0_161`, but that didn't help. I don't see anything useful in the logs (not sure I'm looking in the right logs).
- I saw mikesome13 got forge working, but I can't just copy the cp and tweaker lines. I updated the forge version (mine was 1.12.2-14.23.1.2556), but that wasn't enough. I see a TON of differences between that line and my working optifine version. It seems manually editing that line is pretty fragile. Is there a better way to piece it together? Here's my working copy.

Code: Select all

CP=/home/pi/.minecraft/libraries/optifine/OptiFine/1.12.2_HD_U_C5/OptiFine-1.12.2_HD_U_C5.jar:/home/pi/.minecraft/libraries/net/minecraft/launchwrapper/1.12/launchwrapper-1.12.jar:/home/pi/.minecraft/libraries/com/mojang/patchy/1.1/patchy-1.1.jar:/home/pi/.minecraft/libraries/oshi-project/oshi-core/1.1/oshi-core-1.1.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar:/home/pi/.minecraft/libraries/com/ibm/icu/icu4j-core-mojang/51.2/icu4j-core-mojang-51.2.jar:/home/pi/.minecraft/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar:/home/pi/.minecraft/libraries/com/paulscode/codecjorbis/20101023/codecjorbis-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/codecwav/20101023/codecwav-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/libraryjavasound/20101123/libraryjavasound-20101123.jar:/home/pi/.minecraft/libraries/com/paulscode/librarylwjglopenal/20100824/librarylwjglopenal-20100824.jar:/home/pi/.minecraft/libraries/com/paulscode/soundsystem/20120107/soundsystem-20120107.jar:/home/pi/.minecraft/libraries/io/netty/netty-all/4.1.9.Final/netty-all-4.1.9.Final.jar:/home/pi/.minecraft/libraries/com/google/guava/guava/21.0/guava-21.0.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar:/home/pi/.minecraft/libraries/commons-io/commons-io/2.5/commons-io-2.5.jar:/home/pi/.minecraft/libraries/commons-codec/commons-codec/1.10/commons-codec-1.10.jar:/home/pi/.minecraft/libraries/net/java/jinput/jinput/2.0.5/jinput-2.0.5.jar:/home/pi/.minecraft/libraries/net/java/jutils/jutils/1.0.0/jutils-1.0.0.jar:/home/pi/.minecraft/libraries/com/google/code/gson/gson/2.8.0/gson-2.8.0.jar:/home/pi/.minecraft/libraries/com/mojang/authlib/1.5.25/authlib-1.5.25.jar:/home/pi/.minecraft/libraries/com/mojang/realms/1.10.17/realms-1.10.17.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-compress/1.8.1/commons-compress-1.8.1.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.jar:/home/pi/.minecraft/libraries/commons-logging/commons-logging/1.1.3/commons-logging-1.1.3.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpcore/4.3.2/httpcore-4.3.2.jar:/home/pi/.minecraft/libraries/it/unimi/dsi/fastutil/7.1.0/fastutil-7.1.0.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-api/2.8.1/log4j-api-2.8.1.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-core/2.8.1/log4j-core-2.8.1.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl/2.9.4-nightly-20150209/lwjgl-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl_util/2.9.4-nightly-20150209/lwjgl_util-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/com/mojang/text2speech/1.10.3/text2speech-1.10.3.jar:/home/pi/.minecraft/versions/1.12.2-OptiFine_HD_U_C5/1.12.2-OptiFine_HD_U_C5.jar 
And this is what I TRIED to get forge running.

Code: Select all

CP=/home/pi/.minecraft/libraries/net/minecraftforge/forge/1.12.2-14.23.1.2556/forge-1.12.2-14.23.1.2556.jar:/home/pi/.minecraft/libraries/net/minecraft/launchwrapper/1.12/launchwrapper-1.12.jar:/home/pi/.minecraft/libraries/org/ow2/asm/asm-all/5.2/asm-all-5.2.jar:/home/pi/.minecraft/libraries/jline/jline/2.13/jline-2.13.jar:/home/pi/.minecraft/libraries/com/typesafe/akka/akka-actor_2.11/2.3.3/akka-actor_2.11-2.3.3.jar:/home/pi/.minecraft/libraries/com/typesafe/config/1.2.1/config-1.2.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-actors-migration_2.11/1.1.0/scala-actors-migration_2.11-1.1.0.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-compiler/2.11.1/scala-compiler-2.11.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/plugins/scala-continuations-library_2.11/1.0.2/scala-continuations-library_2.11-1.0.2.jar:/home/pi/.minecraft/libraries/org/scala-lang/plugins/scala-continuations-plugin_2.11.1/1.0.2/scala-continuations-plugin_2.11.1-1.0.2.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-reflect/2.11.1/scala-reflect-2.11.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-swing_2.11/1.0.1/scala-swing_2.11-1.0.1.jar:/home/pi/.minecraft/libraries/org/scala-lang/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.jar:/home/pi/.minecraft/libraries/lzma/lzma/0.0.1/lzma-0.0.1.jar:/home/pi/.minecraft/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar:/home/pi/.minecraft/libraries/java3d/vecmath/1.5.2/vecmath-1.5.2.jar:/home/pi/.minecraft/libraries/net/sf/trove4j/trove4j/3.0.3/trove4j-3.0.3.jar:/home/pi/.minecraft/libraries/com/mojang/patchy/1.1/patchy-1.1.jar:/home/pi/.minecraft/libraries/oshi-project/oshi-core/1.1/oshi-core-1.1.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/jna/4.4.0/jna-4.4.0.jar:/home/pi/.minecraft/libraries/net/java/dev/jna/platform/3.4.0/platform-3.4.0.jar:/home/pi/.minecraft/libraries/com/ibm/icu/icu4j-core-mojang/51.2/icu4j-core-mojang-51.2.jar:/home/pi/.minecraft/libraries/net/sf/jopt-simple/jopt-simple/5.0.3/jopt-simple-5.0.3.jar:/home/pi/.minecraft/libraries/com/paulscode/codecjorbis/20101023/codecjorbis-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/codecwav/20101023/codecwav-20101023.jar:/home/pi/.minecraft/libraries/com/paulscode/libraryjavasound/20101123/libraryjavasound-20101123.jar:/home/pi/.minecraft/libraries/com/paulscode/librarylwjglopenal/20100824/librarylwjglopenal-20100824.jar:/home/pi/.minecraft/libraries/com/paulscode/soundsystem/20120107/soundsystem-20120107.jar:/home/pi/.minecraft/libraries/io/netty/netty-all/4.1.9.Final/netty-all-4.1.9.Final.jar:/home/pi/.minecraft/libraries/com/google/guava/guava/21.0/guava-21.0.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-lang3/3.5/commons-lang3-3.5.jar:/home/pi/.minecraft/libraries/commons-io/commons-io/2.5/commons-io-2.5.jar:/home/pi/.minecraft/libraries/commons-codec/commons-codec/1.10/commons-codec-1.10.jar:/home/pi/.minecraft/libraries/net/java/jinput/jinput/2.0.5/jinput-2.0.5.jar:/home/pi/.minecraft/libraries/net/java/jutils/jutils/1.0.0/jutils-1.0.0.jar:/home/pi/.minecraft/libraries/com/google/code/gson/gson/2.8.0/gson-2.8.0.jar:/home/pi/.minecraft/libraries/com/mojang/authlib/1.5.25/authlib-1.5.25.jar:/home/pi/.minecraft/libraries/com/mojang/realms/1.10.17/realms-1.10.17.jar:/home/pi/.minecraft/libraries/org/apache/commons/commons-compress/1.8.1/commons-compress-1.8.1.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpclient/4.3.3/httpclient-4.3.3.jar:/home/pi/.minecraft/libraries/commons-logging/commons-logging/1.1.3/commons-logging-1.1.3.jar:/home/pi/.minecraft/libraries/org/apache/httpcomponents/httpcore/4.3.2/httpcore-4.3.2.jar:/home/pi/.minecraft/libraries/it/unimi/dsi/fastutil/7.1.0/fastutil-7.1.0.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-api/2.8.1/log4j-api-2.8.1.jar:/home/pi/.minecraft/libraries/org/apache/logging/log4j/log4j-core/2.8.1/log4j-core-2.8.1.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl/2.9.4-nightly-20150209/lwjgl-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl_util/2.9.4-nightly-20150209/lwjgl_util-2.9.4-nightly-20150209.jar:/home/pi/.minecraft/libraries/com/mojang/text2speech/1.10.3/text2speech-1.10.3.jar:/home/pi/.minecraft/versions/1.12.2/1.12.2.jar
And here are the errors I get:

Code: Select all

pi@raspberrypi:~/Minecraft $ ./runOptifine1_12_2.sh
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   422  100   255  100   167    489    320 --:--:-- --:--:-- --:--:--   489
todays access token = 5733d7cc6a434fa381b68d54664f6943
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100    17  100     2  100    15      5     43 --:--:-- --:--:-- --:--:--    43
MINECRAFT_UUID=
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
[13:08:06] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[13:08:06] [main/INFO] [LaunchWrapper]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[13:08:06] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLTweaker
[13:08:06] [main/INFO] [FML]: Forge Mod Loader version 14.23.1.2556 for Minecraft 1.12.2 loading
[13:08:06] [main/INFO] [FML]: Java is Java HotSpot(TM) Client VM, version 1.8.0_65, running on Linux:arm:4.9.59-v7+, installed at /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre
[13:08:07] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[13:08:07] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[13:08:07] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[13:08:07] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[13:08:07] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[13:08:07] [main/ERROR] [LaunchWrapper]: A critical problem occurred registering the ASM transformer class $wrapper.net.minecraftforge.fml.common.asm.transformers.BlamingTransformer
java.lang.ClassNotFoundException: $wrapper.net.minecraftforge.fml.common.asm.transformers.BlamingTransformer
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.registerTransformer(LaunchClassLoader.java:88) [launchwrapper-1.12.jar:?]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:133) [forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:115) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NoClassDefFoundError: LZMA/LzmaInputStream
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
Caused by: java.lang.ClassNotFoundException: LZMA.LzmaInputStream
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
[13:08:07] [main/ERROR] [LaunchWrapper]: A critical problem occurred registering the ASM transformer class $wrapper.net.minecraftforge.fml.common.asm.transformers.SideTransformer
java.lang.ClassNotFoundException: $wrapper.net.minecraftforge.fml.common.asm.transformers.SideTransformer
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.registerTransformer(LaunchClassLoader.java:88) [launchwrapper-1.12.jar:?]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:133) [forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:115) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NoClassDefFoundError: LZMA/LzmaInputStream
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
Caused by: java.lang.ClassNotFoundException: LZMA.LzmaInputStream
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
[13:08:07] [main/ERROR] [LaunchWrapper]: A critical problem occurred registering the ASM transformer class $wrapper.net.minecraftforge.fml.common.asm.transformers.EventSubscriptionTransformer
java.lang.ClassNotFoundException: $wrapper.net.minecraftforge.fml.common.asm.transformers.EventSubscriptionTransformer
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.registerTransformer(LaunchClassLoader.java:88) [launchwrapper-1.12.jar:?]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:133) [forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:115) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NoClassDefFoundError: LZMA/LzmaInputStream
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
Caused by: java.lang.ClassNotFoundException: LZMA.LzmaInputStream
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
[13:08:07] [main/ERROR] [LaunchWrapper]: A critical problem occurred registering the ASM transformer class $wrapper.net.minecraftforge.fml.common.asm.transformers.EventSubscriberTransformer
java.lang.ClassNotFoundException: $wrapper.net.minecraftforge.fml.common.asm.transformers.EventSubscriberTransformer
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.registerTransformer(LaunchClassLoader.java:88) [launchwrapper-1.12.jar:?]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:133) [forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:115) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NoClassDefFoundError: LZMA/LzmaInputStream
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
Caused by: java.lang.ClassNotFoundException: LZMA.LzmaInputStream
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	... 6 more
[13:08:07] [main/ERROR] [LaunchWrapper]: Unable to launch
java.lang.RuntimeException: java.lang.ClassNotFoundException: net.minecraftforge.fml.common.asm.FMLSanityChecker
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:170) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:115) [launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.ClassNotFoundException: net.minecraftforge.fml.common.asm.FMLSanityChecker
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at java.lang.Class.forName0(Native Method) ~[?:1.8.0_65]
	at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_65]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:158) ~[forge-1.12.2-14.23.1.2556.jar:?]
	... 2 more
Caused by: java.lang.NoClassDefFoundError: LZMA/LzmaInputStream
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at java.lang.Class.forName0(Native Method) ~[?:1.8.0_65]
	at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_65]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:158) ~[forge-1.12.2-14.23.1.2556.jar:?]
	... 2 more
Caused by: java.lang.ClassNotFoundException: LZMA.LzmaInputStream
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at net.minecraftforge.fml.common.asm.transformers.PatchingTransformer.transform(PatchingTransformer.java:29) ~[forge-1.12.2-14.23.1.2556.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279) ~[launchwrapper-1.12.jar:?]
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176) ~[launchwrapper-1.12.jar:?]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_65]
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_65]
	at java.lang.Class.forName0(Native Method) ~[?:1.8.0_65]
	at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_65]
	at net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper.injectIntoClassLoader(CoreModManager.java:158) ~[forge-1.12.2-14.23.1.2556.jar:?]
	... 2 more
Exception in thread "main" [13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: net.minecraftforge.fml.relauncher.FMLSecurityManager$ExitTrappedException
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at net.minecraftforge.fml.relauncher.FMLSecurityManager.checkPermission(FMLSecurityManager.java:49)
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at java.lang.SecurityManager.checkExit(SecurityManager.java:761)
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at java.lang.Runtime.exit(Runtime.java:107)
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at java.lang.System.exit(System.java:971)
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at net.minecraft.launchwrapper.Launch.launch(Launch.java:138)
[13:08:07] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: 	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

User avatar
rpiMike
Posts: 458
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Sun Mar 11, 2018 9:40 pm

- Regarding optifine, what's the difference between the UC[number] versions? Should I use the highest number?
Yes, use the highest number (changing run script accordingly), latest fixes and improvements
- Has anyone been able to join a public server? I get the error `Internal Exception: Java.lang.NullPointerException`. I tried updating java and reinstalling Minecraft afterwards (now on Oracle's `1.8.0_161`, but that didn't help. I don't see anything useful in the logs (not sure I'm looking in the right logs).
Yes, should work, which server are you trying to connect to ? Are you using the latest Raspbian Stretch?
- I saw mikesome13 got forge working, but I can't just copy the cp and tweaker lines. I updated the forge version (mine was 1.12.2-14.23.1.2556), but that wasn't enough. I see a TON of differences between that line and my working optifine version. It seems manually editing that line is pretty fragile. Is there a better way to piece it together? Here's my working copy.
Yes, I've had forge working, i'd have to re-read the threads but I think setup Minecraft first, then forge (with tweak class) then Optifine (may need to google this).

BillyDaNoob
Posts: 2
Joined: Tue Mar 13, 2018 3:27 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Mar 13, 2018 3:34 am

I'm trying to set it up for Minecraft 1.8.9 Optifine, (Changed the cp= in the run.sh file), but when I open the run.sh file, the terminal shows up for a second and then exits out.

How would I fix this?

User avatar
rpiMike
Posts: 458
Joined: Fri Aug 10, 2012 12:38 pm
Location: Cumbria, UK

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Mar 13, 2018 9:50 am

Open a terminal window then

Code: Select all

cd Minecraft
./run.sh
to see the error.

I would suggest you re-create the class path (cp=) according to the last paragraph of the tutorial. MINECRAFT_VERSION should be 1.8

old thread: viewtopic.php?f=78&t=137279

TheVAAAN
Posts: 1
Joined: Tue Mar 13, 2018 10:43 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Mar 13, 2018 10:48 pm

Minecraft works great no problems or lag except when it comes to realms, the terminal says "realms module missing" and im super confused

BillyDaNoob
Posts: 2
Joined: Tue Mar 13, 2018 3:27 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Mar 13, 2018 11:14 pm

I get this error:
./run.sh: line 1: f#!/bin/sh: No such file or directory
./run.sh: line 12: MINECRAFT_LOGIN=MyEmail@gmail.com: command not found
./run.sh: line 28: thanks: command not found
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 250 100 107 100 143 171 229 --:--:-- --:--:-- --:--:-- 229
todays access token =
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
Java HotSpot(TM) Client VM warning: You have loaded library /home/pi/Minecraft/Natives/liblwjgl.so which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c <libfile>', or link it with '-z noexecstack'.
Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/pi/Minecraft/Natives/liblwjgl.so: /home/pi/Minecraft/Natives/liblwjgl.so: invalid ELF header (Possible cause: endianness mismatch)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1938)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1854)
at java.lang.Runtime.loadLibrary0(Runtime.java:870)
at java.lang.System.loadLibrary(System.java:1122)
at org.lwjgl.Sys$1.run(Sys.java:72)
at java.security.AccessController.doPrivileged(Native Method)
at org.lwjgl.Sys.doLoadLibrary(Sys.java:66)
at org.lwjgl.Sys.loadLibrary(Sys.java:96)
at org.lwjgl.Sys.<clinit>(Sys.java:117)
at ave.J(SourceFile:2539)
at net.minecraft.client.main.Main.main(SourceFile:41)
I also copied the cp message into the run.sh file.

Fabian42
Posts: 5
Joined: Mon Jan 01, 2018 10:00 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Sun Mar 18, 2018 5:10 pm

I had to setup my Raspberry new and now I'm also getting the above error. I checked multiple times if I did everything right. Maybe something changed outside of this tutorial, like a launcher update?

PlushBanshee
Posts: 6
Joined: Mon Apr 09, 2018 7:02 am
Location: Sydney, Australia

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Mon Apr 09, 2018 7:04 am

Owww
*HAY* is there a way I can install 1 mod just one mod I need then this will be perfect

I wanna install Minecraft Comes Alive then it would be complicated

Sorry i didnt notice the auto correct from the original post hay was corrected to gay sorry for the triggers
Last edited by PlushBanshee on Wed Apr 18, 2018 6:10 am, edited 1 time in total.

Sumiron
Posts: 1
Joined: Mon Apr 09, 2018 9:47 am

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Tue Apr 10, 2018 5:38 am

I almost gave up hope on Minecraft 1.12.1 on Raspberry Pi 3
but thanks to your advice I able to play it now :D , :D

Fabian42
Posts: 5
Joined: Mon Jan 01, 2018 10:00 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Apr 18, 2018 8:15 pm

Step 4 feedback:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libalut0
E: Unable to locate package libalut-dev
I have absolutely no clue what to do when the packages just don't exist. Any idea? Is there some way to add package sources? And why would it suddenly stop working (worked on a previous installation on the same device)?

Fabian42
Posts: 5
Joined: Mon Jan 01, 2018 10:00 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Fri Apr 20, 2018 5:48 pm

Ok, I managed to solve that problem by adding package sources in the main package installation GUI program. But now I get this when trying to run Minecraft (using the script, the last step):

Code: Select all

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   425  100   257  100   168    719    470 --:--:-- --:--:-- --:--:--   717
todays access token = 8446c041d9754ab6aa32b5964191c86d
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100    65  100    58  100     7    232     28 --:--:-- --:--:-- --:--:--   232
MINECRAFT_UUID=46920312c6974a709e216d2db1122997
Java HotSpot(TM) Client VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
[17:45:41] [main/INFO]: Loading tweak class name optifine.OptiFineTweaker
[17:45:41] [main/INFO]: Using primary tweak class name optifine.OptiFineTweaker
[17:45:41] [main/INFO]: Calling tweak class optifine.OptiFineTweaker
OptiFineTweaker: acceptOptions
OptiFineTweaker: injectIntoClassLoader
OptiFine ClassTransformer
OptiFine URL: file:/home/pi/.minecraft/libraries/optifine/OptiFine/1.12.1_HD_U_C5/OptiFine-1.12.1_HD_U_C5.jar
OptiFine ZIP file: /home/pi/.minecraft/libraries/optifine/OptiFine/1.12.1_HD_U_C5/OptiFine-1.12.1_HD_U_C5.jar
OptiFineTweaker: getLaunchArguments
OptiFineTweaker: getLaunchTarget
[17:45:42] [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}
[17:45:45] [main/INFO]: Setting user: FaRo1
[17:45:55] [main/INFO]: [OptiFine] *** Reflector Forge ***
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.model.Attributes
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: mods.betterfoliage.client.BetterFoliageClient
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.common.asm.transformers.BlamingTransformer
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.event.world.ChunkWatchEvent$UnWatch
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.relauncher.CoreModManager
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.DimensionManager
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.GuiScreenEvent$DrawScreenEvent$Pre
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.GuiScreenEvent$DrawScreenEvent$Post
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.EntityViewRenderEvent$CameraSetup
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.EntityViewRenderEvent$FogColors
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.EntityViewRenderEvent$RenderFogEvent
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.common.eventhandler.Event
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.common.eventhandler.EventBus
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.common.eventhandler.Event$Result
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.property.ExtendedBlockState
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.client.FMLClientHandler
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.common.FMLCommonHandler
[17:45:55] [main/INFO]: [OptiFine] (Reflector) Method not present: anh.getWaterColorMultiplier
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.addDestroyEffects
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.addHitEffects
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.canCreatureSpawn
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.canRenderInLayer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.doesSideBlockRendering
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getBedDirection
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getExtendedState
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getFogColor
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getLightOpacity
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getLightValue
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.getSoundType
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.hasTileEntity
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.isAir
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.isBed
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.isBedFoot
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aow.isSideSolid
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: and.isSideSolid
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: vg.canRiderInteract
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Field not present: vg.captureDrops
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Field not present: vg.capturedDrops
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: vg.shouldRenderInPass
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: vg.shouldRiderSit
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.event.ForgeEventFactory
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.ForgeHooks
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.ForgeHooksClient
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Field not present: ain.delegate
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.getDurabilityForDisplay
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.getRGBDurabilityForDisplay
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.isShield
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.onEntitySwing
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.shouldCauseReequipAnimation
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ain.showDurabilityBar
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: bwa.handleItemState
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: agv.hasOverlay
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: bhy.setKeyConflictContext
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: bhy.setKeyModifierAndCode
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: bhy.getKeyModifier
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.ForgeModContainer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: bvv.parseFromReader
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: uz.shouldRenderHUD
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: uz.renderHUDEffect
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: va.isCurativeItem
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: avj.canRenderBreaking
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: avj.getRenderBoundingBox
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: avj.hasFastRenderer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: avj.shouldRenderInPass
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ceb$b.preDraw
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: ceb$b.postDraw
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: amu.countEntities
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: amu.getPerWorldStorage
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: amu.initCapabilities
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aym.getCloudRenderer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aym.getSkyRenderer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Method not present: aym.getWeatherRenderer
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.client.GuiModList
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.property.IExtendedBlockState
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.model.IModel
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.IRenderHandler
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.ItemModelMesherForge
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.settings.KeyConflictContext
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.settings.KeyModifier
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.model.pipeline.LightUtil
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.common.MinecraftForge
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.MinecraftForgeClient
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.model.ModelLoader
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.gui.NotificationModUpdateScreen
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderBlockOverlayEvent$OverlayType
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.client.registry.RenderingRegistry
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderItemInFrameEvent
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderLivingEvent$Pre
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderLivingEvent$Post
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderLivingEvent$Specials$Pre
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.RenderLivingEvent$Specials$Post
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.client.event.ScreenshotEvent
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.fml.client.SplashProgress
[17:45:56] [main/INFO]: [OptiFine] (Reflector) Class not present: net.minecraftforge.event.world.WorldEvent$Load
[17:45:56] [main/INFO]: [OptiFine] *** Reflector Vanilla ***
---- Minecraft Crash Report ----
// Shall we play a game?

Time: 4/20/18 5:45 PM
Description: Initializing game

java.lang.ExceptionInInitializerError
	at Config.getDisplayModes(Config.java:1732)
	at bid$a.<clinit>(GameSettings.java:3452)
	at bid.<init>(GameSettings.java:315)
	at bib.aq(SourceFile:443)
	at bib.a(SourceFile:404)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: java.lang.NullPointerException
	at org.lwjgl.opengl.XRandR.getConfiguration(XRandR.java:146)
	at org.lwjgl.opengl.LinuxDisplay$3.run(LinuxDisplay.java:746)
	at org.lwjgl.opengl.LinuxDisplay$3.run(LinuxDisplay.java:743)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.lwjgl.opengl.LinuxDisplay.init(LinuxDisplay.java:743)
	at org.lwjgl.opengl.Display.<clinit>(Display.java:138)
	... 12 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at Config.getDisplayModes(Config.java:1732)
	at bid$a.<clinit>(GameSettings.java:3452)
	at bid.<init>(GameSettings.java:315)
	at bib.aq(SourceFile:443)

-- Initialization --
Details:
Stacktrace:
	at bib.a(SourceFile:404)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.12.1
	Operating System: Linux (arm) version 4.14.30-v7+
	Java Version: 1.8.0_65, Oracle Corporation
	Java VM Version: Java HotSpot(TM) Client VM (mixed mode), Oracle Corporation
	Memory: 103280760 bytes (98 MB) / 171831296 bytes (163 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 5 total; -Xmn128M -Xmx1024M -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	Launched Version: 1.12
	LWJGL: 2.9.4
	OpenGL: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	GL Caps: 
	Using VBOs: ~~ERROR~~ NullPointerException: null
	Is Modded: Very likely; Jar signature invalidated
	Type: Client (map_client.txt)
	Resource Packs: ~~ERROR~~ NullPointerException: null
	Current Language: ~~ERROR~~ NullPointerException: null
	Profiler Position: N/A (disabled)
	CPU: <unknown>
#@!@# Game crashed! Crash report saved to: #@!@# /home/pi/.minecraft/crash-reports/crash-2018-04-20_17.45.57-client.txt

PlushBanshee
Posts: 6
Joined: Mon Apr 09, 2018 7:02 am
Location: Sydney, Australia

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Apr 25, 2018 3:23 am

Is it possible to just run the native minecraft without the optifin so that way i can use the new snap shots :?:

Fabian42
Posts: 5
Joined: Mon Jan 01, 2018 10:00 pm

Re: How to setup Minecraft 1.12.1 on Raspberry Pi 3

Wed Apr 25, 2018 3:32 am

PlushBanshee wrote:
Wed Apr 25, 2018 3:23 am
Is it possible to just run the native minecraft without the optifin so that way i can use the new snap shots :?:
Further in the tutorial there are instructions on how to get other versions to run. But 1.13 snapshots don't work, because they rely on a newer JLWGL version that isn't available for the Raspberry Pi.

Return to “Gaming”

Who is online

Users browsing this forum: No registered users and 7 guests